elm::genlist Struct Reference

Public Member Functions
elm::genlist Struct Reference

Class genlist. More...

## Public Member Functions
| genlist (Eo *eo)
| Eo Constructor. More...
| genlist (std::nullptr_t)
| nullptr_t Constructor. More...
| genlist (genlist const &other)
| Copy Constructor.
::elm::widget_item | item_insert_before (const Elm_Genlist_Item_Class *itc_, const void *data_, ::elm::widget_item parent_, ::elm::widget_item before_it_, Elm_Genlist_Item_Type type_, Evas_Smart_Cb func_, const void *func_data_) const
::elm::widget_item | item_insert_after (const Elm_Genlist_Item_Class *itc_, const void *data_, ::elm::widget_item parent_, ::elm::widget_item after_it_, Elm_Genlist_Item_Type type_, Evas_Smart_Cb func_, const void *func_data_) const
::elm::widget_item | at_xy_item_get (Evas_Coord x_, Evas_Coord y_, int *posret_) const
::elm::widget_item | item_prepend (const Elm_Genlist_Item_Class *itc_, const void *data_, ::elm::widget_item parent_, Elm_Genlist_Item_Type type_, Evas_Smart_Cb func_, const void *func_data_) const
::elm::widget_item | item_append (const Elm_Genlist_Item_Class *itc_, const void *data_, ::elm::widget_item parent_, Elm_Genlist_Item_Type type_, Evas_Smart_Cb func_, const void *func_data_) const
::elm::widget_item | item_sorted_insert (const Elm_Genlist_Item_Class *itc_, const void *data_, ::elm::widget_item parent_, Elm_Genlist_Item_Type type_, Eina_Compare_Cb comp_, Evas_Smart_Cb func_, const void *func_data_) const
::elm::widget_item | search_by_text_item_get (::elm::widget_item item_to_search_from_, ::efl::eina::string_view part_name_, ::efl::eina::string_view pattern_, Elm_Glob_Match_Flags flags_) const
| genlist (::efl::eo::parent_type _p)
| Constructs a new elm::genlist object. More...

## Detailed Description

Class genlist.

## Constructor & Destructor Documentation

## ◆ genlist() [1/3]

elm::genlist::genlist | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::genlist object.

Constructs a new elm::genlist object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::genlist my_genlist(efl::eo::parent = parent_object);

See also
  genlist(Eo* eo)

## ◆ genlist() [2/3]

elm::genlist::genlist | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ genlist() [3/3]

elm::genlist::genlist | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ at_xy_item_get()

::elm::widget_item elm::genlist::at_xy_item_get | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | int * | posret_
| ) |  | const

Parameters

  | x |
  | y |
  [out] | posret |

## ◆ item_append()

::elm::widget_item elm::genlist::item_append | ( | const Elm_Genlist_Item_Class * | itc_,
|  | const void * | data_,
|  | ::elm::widget_item | parent_,
|  | Elm_Genlist_Item_Type | type_,
|  | Evas_Smart_Cb | func_,
|  | const void * | func_data_
| ) |  | const

Parameters

  itc |
  data |
  parent |
  type |
  func |
  func_data |

## ◆ item_insert_after()

::elm::widget_item elm::genlist::item_insert_after | ( | const Elm_Genlist_Item_Class * | itc_,
|  | const void * | data_,
|  | ::elm::widget_item | parent_,
|  | ::elm::widget_item | after_it_,
|  | Elm_Genlist_Item_Type | type_,
|  | Evas_Smart_Cb | func_,
|  | const void * | func_data_
| ) |  | const

Parameters

  itc |
  data |
  parent |
  after_it |
  type |
  func |
  func_data |

## ◆ item_insert_before()

::elm::widget_item elm::genlist::item_insert_before | ( | const Elm_Genlist_Item_Class * | itc_,
|  | const void * | data_,
|  | ::elm::widget_item | parent_,
|  | ::elm::widget_item | before_it_,
|  | Elm_Genlist_Item_Type | type_,
|  | Evas_Smart_Cb | func_,
|  | const void * | func_data_
| ) |  | const

Parameters

  itc |
  data |
  parent |
  before_it |
  type |
  func |
  func_data |

## ◆ item_prepend()

::elm::widget_item elm::genlist::item_prepend | ( | const Elm_Genlist_Item_Class * | itc_,
|  | const void * | data_,
|  | ::elm::widget_item | parent_,
|  | Elm_Genlist_Item_Type | type_,
|  | Evas_Smart_Cb | func_,
|  | const void * | func_data_
| ) |  | const

Parameters

  itc |
  data |
  parent |
  type |
  func |
  func_data |

## ◆ item_sorted_insert()

::elm::widget_item elm::genlist::item_sorted_insert | ( | const Elm_Genlist_Item_Class * | itc_,
|  | const void * | data_,
|  | ::elm::widget_item | parent_,
|  | Elm_Genlist_Item_Type | type_,
|  | Eina_Compare_Cb | comp_,
|  | Evas_Smart_Cb | func_,
|  | const void * | func_data_
| ) |  | const

Parameters

  itc |
  data |
  parent |
  type |
  comp |
  func |
  func_data |

## ◆ search_by_text_item_get()

::elm::widget_item elm::genlist::search_by_text_item_get | ( | ::elm::widget_item | item_to_search_from_,
|  | ::efl::eina::string_view | part_name_,
|  | ::efl::eina::string_view | pattern_,
|  | Elm_Glob_Match_Flags | flags_
| ) |  | const

Parameters

  item_to_search_from |
  part_name |
  pattern |
  flags |